Save a wire to step file

Hi Guys,

Save a single wire to a step file using STEPControl_AsIs mode, and read it back to application. I find the wire is gone, I just find several independent edges instead a wire. I have tried many methods to fix this problem, but still can't find a right way to load it back as a wire.
Any suggestion is welcome. Thanks in advance.

Ding

Alexander Luger's picture

Hey cauchy ding,

I have the same problem, I am not able to load it back as a wire. Did you solve the problem?

Alex

Game Milky's picture

I have the same problem, anybody who have an idea on this issue?

Regards
Game

Benjamin Bihler's picture

I have asked myself the same question. Is there still nobody knowing an answer?

Lambda's picture

I'm trying to find a solution but the edges are not connected. Maybe somebody hat an idee?
Thanks for any help.

Lambda's picture

Maybe with a small example it will be easier to find a way to solve this question:

TopoDS_Edge aEdge1 = BRepBuilderAPI_MakeEdge(GC_MakeSegment(gp_Pnt(0., 0., 0.), gp_Pnt(0., 10., 0.)));
TopoDS_Edge aEdge2 = BRepBuilderAPI_MakeEdge(GC_MakeSegment(gp_Pnt(0., 10., 0.), gp_Pnt(10., 10., 0.)));
TopoDS_Edge aEdge3 = BRepBuilderAPI_MakeEdge(GC_MakeSegment(gp_Pnt(10., 10., 0.), gp_Pnt(10., 0., 0.)));
TopoDS_Edge aEdge4 = BRepBuilderAPI_MakeEdge(GC_MakeSegment(gp_Pnt(10., 0., 0.), gp_Pnt(0., 0., 0.)));

TopoDS_Wire aWire1 = BRepBuilderAPI_MakeWire(aEdge1, aEdge2, aEdge3, aEdge4).Wire();

STEPControl_Writer writer;

writer.Transfer(aWire1, STEPControl_AsIs);

writer.Write("c://tmp//test.step");

If you try to open the file test.step, the wire is not connected :-(

Thanks again!

Benjamin Bihler's picture

I have registered an issue for that: https://tracker.dev.opencascade.org/view.php?id=29373.